<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('penugasans', function (Blueprint $table) {
            $table->string('alamat_lokasi')->nullable()->after('tanggal_diberikan');
            $table->string('nama_pelanggan')->nullable()->after('alamat_lokasi');
            $table->string('no_sambungan')->nullable()->after('nama_pelanggan');
        });
    }

    public function down(): void
    {
        Schema::table('penugasans', function (Blueprint $table) {
            $table->dropColumn(['alamat_lokasi', 'nama_pelanggan', 'no_sambungan']);
        });
    }
};
